Page MenuHomePhabricator

Testing the REST API in CI
Open, HighPublic

Description

Currently, in CI, Parsoid/JS spins up a service using mockAPI.js as the MediaWiki API and runs the mocha/api.js suite.

For the purpose of the port, we have a patch which lets a local MediaWiki instance with the installed Parsoid/PHP extension also use mockAPI.js for DataAccess and then we can run the mocha/api.js test suite with a supplied PARSOID_URL (added in T221168).

Moving forward though, we probably want to move to whatever the MediaWiki action API is tested with and do away with mocha altogether.

Event Timeline

Arlolra created this task.Sep 24 2019, 4:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2019, 4:34 PM
ssastry moved this task from Backlog to Testing / QA on the Parsoid-PHP board.Sep 25 2019, 12:56 AM

Probably depends on T227352

Arlolra triaged this task as High priority.Dec 4 2019, 9:46 PM
Aklapper edited projects, added Parsoid; removed Parsoid-PHP.Apr 10 2020, 4:27 PM
ssastry moved this task from Needs Triage to Testing on the Parsoid board.Apr 10 2020, 4:56 PM
Arlolra claimed this task.May 8 2020, 2:05 PM

Change 608495 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] [WIP] Use api-testing to run integration tests

https://gerrit.wikimedia.org/r/c/mediawiki/services/parsoid/ /608495

Change 608495 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Use api-testing to run integration tests

https://gerrit.wikimedia.org/r/608495

Change 612673 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[integration/config@master] Turn on API integration tests for Parsoid

https://gerrit.wikimedia.org/r/612673

Change 612673 merged by jenkins-bot:
[integration/config@master] Turn on API integration tests for Parsoid

https://gerrit.wikimedia.org/r/612673

Change 612992 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Add a test for serializing when a revision isn't found

https://gerrit.wikimedia.org/r/612992

Change 612992 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Add a test for serializing when a revision isn't found

https://gerrit.wikimedia.org/r/612992

Change 614872 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Bump parsoid to 0.13.0-a1

https://gerrit.wikimedia.org/r/614872

Change 614872 merged by jenkins-bot:
[mediawiki/vendor@master] Bump parsoid to 0.13.0-a1

https://gerrit.wikimedia.org/r/614872